Bug 225826 - [NEW PORT] www/go-appengine-sdk: App Engine SDK for Go
Summary: [NEW PORT] www/go-appengine-sdk: App Engine SDK for Go
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL: https://cloud.google.com/appengine/
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-11 15:08 UTC by Dmitri Goutnik
Modified: 2018-02-17 22:08 UTC (History)
2 users (show)

See Also:


Attachments
patch file (5.18 KB, patch)
2018-02-11 15:08 UTC, Dmitri Goutnik
no flags Details | Diff
patch file (5.02 KB, patch)
2018-02-12 15:36 UTC, Dmitri Goutnik
no flags Details | Diff
patch file (5.30 KB, patch)
2018-02-12 21:57 UTC, Dmitri Goutnik
dg: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitri Goutnik 2018-02-11 15:08:21 UTC
Created attachment 190513 [details]
patch file

Google App Engine SDK for Go.

Google App Engine enables you to build web applications on the same scalable
systems that power Google applications. This SDK provides support for
building web applications using the Go Programming Language.

This port doesn't include godoc and gofmt tools that are available in Linux
version of the SDK.  Please install lang/go and devel/go-tools if you need
them.

WWW: https://cloud.google.com/appengine/

QA:
  portlint -ACN: OK
  poudriere testport: OK on 11a, 10i apart from strip warnings for bundled Go
Comment 1 Dmitri Goutnik 2018-02-11 15:13:18 UTC
Differential: https://reviews.freebsd.org/D14321
Comment 2 Dmitri Goutnik 2018-02-12 15:36:38 UTC
Created attachment 190544 [details]
patch file

Simplify GOARCH and GO386 options.
Comment 3 Dmitri Goutnik 2018-02-12 21:57:56 UTC
Created attachment 190555 [details]
patch file

Address D14321 feedback.
Comment 4 Yuri Victorovich freebsd_committer 2018-02-17 01:17:09 UTC
It says that many executables aren't stripped:
> Warning: 'share/go-appengine-sdk/goroot-1.8/src/debug/elf/testdata/go-relocation-test-clang-arm.obj' is not stripped consider trying INSTALL_TARGET=install-strip or using ${STRIP_CMD}
> Warning: 'share/go-appengine-sdk/goroot-1.8/src/debug/elf/testdata/go-relocation-test-clang-x86.obj' is not stripped consider trying INSTALL_TARGET=install-strip or using ${STRIP_CMD}

Is this intended?
Comment 5 Dmitri Goutnik 2018-02-17 01:39:01 UTC
Everything inside GOROOTs (goroot-1.8, goroot-1.6) is as it was built by Go itself and they are installed as-is (with ${CP}). I don't think it would be safe to strip their contents.
Comment 6 Yuri Victorovich freebsd_committer 2018-02-17 22:08:12 UTC
Committed with minor changes.
Thank you for your contribution!
Comment 7 commit-hook freebsd_committer 2018-02-17 22:08:51 UTC
A commit references this bug:

Author: yuri
Date: Sat Feb 17 22:08:08 UTC 2018
New revision: 462196
URL: https://svnweb.freebsd.org/changeset/ports/462196

Log:
  New port: www/go-appengine-sdk: App Engine SDK for Go

  PR:		225826
  Submitted by:	Dmitri Goutnik <dg@syrec.org>
  Approved by:	tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D14321

Changes:
  head/www/Makefile
  head/www/go-appengine-sdk/
  head/www/go-appengine-sdk/Makefile
  head/www/go-appengine-sdk/distinfo
  head/www/go-appengine-sdk/pkg-descr